using Discord;
using Discord.Interactions;
using Discord.WebSocket;

namespace Flux_System_Assistant.CommandModules;

public class FinanceCommands : InteractionModuleBase<SocketInteractionContext>
{
    [SlashCommand("hello2","writes hello world")]
    public async Task SayHelloAsync()
    {
        var builder = new EmbedBuilder()
            .WithAuthor(Context.User)
            .WithTitle("Test");

        var builder2 = new ComponentBuilder()
            .WithButton("Test", "ceta-3");
        
        await RespondAsync(embed: builder.Build(), components: builder2.Build());
    }
}